AccessibleBundle (Java Platform SE 8 )
Keywords: javax.accessibility.AccessibleBundle class
Date: 2026-08-19

javax.accessibility

## Class AccessibleBundle

- java.lang.Object
- - javax.accessibility.AccessibleBundle

- Direct Known Subclasses:
    AccessibleRelation, AccessibleRole, AccessibleState

      public abstract class AccessibleBundle
      extends Object

  Base class used to maintain a strongly typed enumeration. This is the superclass of `AccessibleState` and `AccessibleRole`.

  The toDisplayString method allows you to obtain the localized string for a locale independent key from a predefined ResourceBundle for the keys defined in this class. This localized string is intended to be readable by humans.

  See Also:
    `AccessibleRole`, `AccessibleState`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `key` The locale independent name of the state.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessibleBundle()` Construct an `AccessibleBundle`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toDisplayString()` Gets localized string describing the key using the default locale.
    `String` | `toDisplayString(Locale locale)` Obtains the key as a localized string.
    `protected String` | `toDisplayString(String resourceBundleName, Locale locale)` Obtains the key as a localized string.
    `String` | `toString()` Gets localized string describing the key using the default locale.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### key

          protected String key

      The locale independent name of the state. This is a programmatic name that is not intended to be read by humans.
      See Also:
        `toDisplayString(java.lang.String, java.util.Locale)`

  - ### Constructor Detail

    - #### AccessibleBundle

          public AccessibleBundle()

      Construct an `AccessibleBundle`.

  - ### Method Detail

    - #### toDisplayString

          protected String toDisplayString(String resourceBundleName,
                                           Locale locale)

      Obtains the key as a localized string. If a localized string cannot be found for the key, the locale independent key stored in the role will be returned. This method is intended to be used only by subclasses so that they can specify their own resource bundles which contain localized strings for their keys.
      Parameters:
        `resourceBundleName` - the name of the resource bundle to use for lookup
        `locale` - the locale for which to obtain a localized string
      Returns:
        a localized String for the key.

    - #### toDisplayString

          public String toDisplayString(Locale locale)

      Obtains the key as a localized string. If a localized string cannot be found for the key, the locale independent key stored in the role will be returned.
      Parameters:
        `locale` - the locale for which to obtain a localized string
      Returns:
        a localized String for the key.

    - #### toDisplayString

          public String toDisplayString()

      Gets localized string describing the key using the default locale.
      Returns:
        a localized String describing the key for the default locale

    - #### toString

          public String toString()

      Gets localized string describing the key using the default locale.
      Overrides:
        `toString` in class `Object`
      Returns:
        a localized String describing the key using the default locale
      See Also:
        `toDisplayString(java.lang.String, java.util.Locale)`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.